Summary: A graphical interface for modifing the keyboard
Name: redhat-config-keyboard
Version: 1.0.1
Release: 1
URL: http://www.redhat.com/
License: GPL
ExclusiveOS: Linux
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Source0: %{name}-%{version}.tar.bz2
BuildRequires: desktop-file-utils
ExcludeArch: s390 s390x
Requires: pygtk2 >= 1.99.11
Requires: python2
Requires: usermode >= 1.36
Requires: rhpl >= 0.6
Requires: pyxf86config

%description
redhat-config-keyboard is a graphical user interface that allows 
the user to change the default keyboard of the system.

%prep
%setup -q

%install
make INSTROOT=$RPM_BUILD_ROOT install
desktop-file-install --vendor redhat --delete-original      \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category Application \
  --add-category SystemSetup \
  --add-category X-Red-Hat-Base          \
  $RPM_BUILD_ROOT%{_datadir}/applications/redhat-config-keyboard.desktop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ -d /usr/share/redhat-config-keyboard ] ; then
  rm -rf /usr/share/redhat-config-keyboard/*.pyc
fi

%files -f %{name}.lang
%defattr(-,root,root)
#%doc COPYING
#%doc doc/*
/usr/bin/redhat-config-keyboard
%dir /usr/share/redhat-config-keyboard
/usr/share/redhat-config-keyboard/*
%dir /usr/share/firstboot/
%dir /usr/share/firstboot/modules
/usr/share/firstboot/modules/keyboard.py
%attr(0644,root,root) %{_datadir}/applications/redhat-config-keyboard.desktop
%attr(0644,root,root) %config /etc/security/console.apps/redhat-config-keyboard
%attr(0644,root,root) %config /etc/pam.d/redhat-config-keyboard

%changelog
* Wed Aug 28 2002 Brent Fox <bfox@redhat.com> 1.0.1-1
- Make no arch

* Wed Aug 14 2002 Brent Fox <bfox@redhat.com> 0.9.9-6
- rebuild for translations

* Tue Aug 13 2002 Brent Fox <bfox@redhat.com> 0.9.9-5
- fix textdomain so translations show up correctly

* Tue Aug 13 2002 Brent Fox <bfox@redhat.com> 0.9.9-4
- pull translations into desktop file

* Mon Aug 12 2002 Tammy Fox <tfox@redhat.com> 0.9.9-3
- Replace System with SystemSetup in desktop file categories

* Sun Aug 11 2002 Brent Fox <bfox@redhat.com> 0.9.9-2
- Fix ordering of layout and model.  Fixes bug 71067

* Thu Aug 08 2002 Brent Fox <bfox@redhat.com> 0.9.9-1
- Added Requires for pyxf86config

* Fri Aug 02 2002 Brent Fox <bfox@redhat.com> 0.9.8-1
- Make changes for new pam timestamp policy

* Thu Aug 01 2002 Brent Fox <bfox@redhat.com> 0.9.7-2
- sort the list by the full keyboard name, not the keymap

* Thu Aug 01 2002 Brent Fox <bfox@redhat.com> 0.9.7-1
- make calls to pyxf86config to update XF86Config file

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-3
- fix Makefiles and spec files so that translations get installed

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-2
- update spec file for public beta 2

* Tue Jul 23 2002 Brent Fox <bfox@redhat.com> 0.9.6-1
- put desktop file in correct location

* Mon Jul 22 2002 Jeremy Katz <katzj@redhat.com> 0.9.5-2
- add scrollto hack back

* Fri Jul 19 2002 Brent Fox <bfox@redhat.com> 0.9.5-1
- add version dependency for pygtk2 API change

* Thu Jul 18 2002 Jeremy Katz <katzj@redhat.com> 0.9.4-3
- add fix for list store changes in new pygtk2

* Tue Jul 16 2002 Brent Fox <bfox@redhat.com> 0.9.4-2
- bump rev num and rebuild

* Thu Jul 11 2002 Brent Fox <bfox@redhat.com> 0.9.3-2
- Update changelogs and rebuild

* Mon Jul  1 2002 Jeremy Katz <katzj@redhat.com> 0.9.3-1
- add wacky scrollto hack so that the screen in the installer scrolls properly

* Mon Jul 01 2002 Brent Fox <bfox@redhat.com> 0.9.2-1
- Bump rev number

* Mon Jul 1 2002 Brent Fox <bfox@redhat.com> 0.9.2-1
- Wrap the destroy call in a try/except because there is no self.mainWindow in firstboot reconfig mode

* Wed Jun 26 2002 Brent Fox <bfox@redhat.com> 0.9.1-1
- Fixed description

* Tue Jun 25 2002 Brent Fox <bfox@redhat.com> 0.9.0-5
- Create pot file

* Mon Jun 24 2002 Brent Fox <bfox@redhat.com> 0.9.0-4
- Fix spec file

* Fri Jun 21 2002 Brent Fox <bfox@redhat.com> 0.9.0-3
- Print init message on debug mode

* Thu Jun 20 2002 Brent Fox <bfox@redhat.com> 0.9.0-2
- Pass doDebug into launch instead of setupScreen
- Add snapsrc to Makefile

* Tue Jun 18 2002 Brent Fox <bfox@redhat.com> 0.9.0-1
- Create a way to pass keymap name back to firstboot

* Wed May 29 2002 Brent Fox <bfox@redhat.com> 0.2.0-3
- Make symbolic link in /usr/share/firstboot/modules point to keyboard_gui.py

* Tue May 28 2002 Jeremy Katz <katzj@redhat.com>
- changes to be usable within an anaconda context 

* Tue Dec 05 2001 Brent Fox <bfox@redhat.com>
- initial coding and packaging

